Skip to Content

Get a draft

Returns one of the caller's drafts, or the draft of a send waiting for approval when the caller may approve it.

GET
/v1/mailboxes/{id}/drafts/{draftId}

Returns one of the caller's drafts, or the draft of a send waiting for approval when the caller may approve it.

Authorization

apiKey
headerx-api-key<token>

Path Parameters

id*string
Match^mbx_[0-9a-hjkmnp-tv-z]{16,24}$
draftId*string
Match^mdraft_[0-9a-hjkmnp-tv-z]{16,24}$

Response Body

MailboxDraft

application/json
  1. response
id*MailboxDraftId
Match^mdraft_[0-9a-hjkmnp-tv-z]{16,24}$
channel*"email"
Value in"email"
threadId*|null
inReplyToMessageId*|null
state*MailboxDraftState
Value in"saved""locked""sent"
lockedByActionId*|null
to*array<string>
subject*string|null
createdAt*string
updatedAt*string
revision*integer
Range1 <= value <= 9007199254740991
endpointId*|null
cc*array<string>
bcc*array<string>
replyTo*array<string>
html*string|null
text*string|null
attachments*array<>
Itemsitems <= 10
Example Request
import { createClient } from "samva";

const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });

const result = await samva.mailboxes.getDraft({
  "id": "example",
  "draftId": "example"
});
Example Response
{
  "id": "string",
  "channel": "email",
  "threadId": "string",
  "inReplyToMessageId": "string",
  "state": "saved",
  "lockedByActionId": "string",
  "to": [
    "string"
  ],
  "subject": "string",
  "createdAt": "string",
  "updatedAt": "string",
  "revision": 1,
  "endpointId": "string",
  "cc": [
    "string"
  ],
  "bcc": [
    "string"
  ],
  "replyTo": [
    "string"
  ],
  "html": "string",
  "text": "string",
  "attachments": [
    {
      "filename": "string",
      "content": "string",
      "mediaId": "string",
      "contentType": "string",
      "size": 1
    }
  ]
}

Related documentation